<?php
namespace Claromentis\Search\History;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array();
use Claromentis\Search\Parameters;
use Claromentis\Search\Result;




class HistoryFacade
{
    
    
    
    
    protected $storage;
    public static function CreateDefault()
    {
        return new HistoryFacade(new Storage());
    }
    public function __construct(Storage $storage)
    {
        $this->storage = $storage;
    }
    public function Add(Parameters $parameters, Result $_b4af1f7aa1ccde1a449e9d8afe15b753)
    {
        $this->storage->Add($parameters, $_b4af1f7aa1ccde1a449e9d8afe15b753);
    }
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function GetSimilar(HistoryParameters $parameters) : array
    {
        return $this->storage->GetSimilar($parameters);
    }
}